{
    "condition": "minecraft:entity_properties",
    "entity": "this",
    "predicate": {
      "type": "minecraft:player",
      "type_specific": {
        "type": "minecraft:player"
      },
      "stepping_on": {
        "block": {
        "blocks": [
          "minecraft:grass_block",
          "moss_block",
          "stone",
          "green_wool",
          "lime_wool",
          "lime_stained_glass",
          "lime_terracotta",
          "green_stained_glass",
          "green_terracotta",
          "dirt",
          "coarse_dirt",
          "sand",
          "sandstone",
          "blackstone",
          "tuff",
          "cobbled_deepslate",
          "deepslate_brick_slab",
          "deepslate_brick_stairs",
          "deepslate_brick_wall",
          "deepslate_bricks",
          "polished_deepslate",
          "smooth_basalt",
          "cobblestone",
          "stripped_birch_wood",
          "cactus",
          "gravel",
          "andesite",
          "andesite_stairs",
          "andesite_slab",
          "oak_planks",
          "oak_stairs",
          "oak_wood",
          "oak_log",
          "waxed_oxidized_cut_copper_stairs",
          "jungle_log",
          "oak_leaves",
          "jungle_leaves",
          "jungle_stairs",
          "jungle_slab",
          "mangrove_stairs",
          "dark_oak_log",
          "dark_oak_stairs",
          "dark_oak_slab",
          "dark_oak_planks"

        ]
      }
      }
    }
  }